<?php

namespace Litecms\Affiliate\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AffiliateTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Affiliate\Models\Affiliate $affiliate)
    {
        return [
            'id'                => $affiliate->getRouteKey(),
            'key'               => [
                'public'    => $affiliate->getPublicKey(),
                'route'     => $affiliate->getRouteKey(),
            ], 
            'ref_level_1'       => $affiliate->ref_level_1,
            'ref_level_2'       => $affiliate->ref_level_2,
            'ref_level_3'       => $affiliate->ref_level_3,
            'ref_level_4'       => $affiliate->ref_level_4,
            'ref_level_5'       => $affiliate->ref_level_5,
            'url'               => [
                'public'    => trans_url('affiliate/'.$affiliate->getPublicKey()),
                'user'      => guard_url('affiliate/affiliate/'.$affiliate->getRouteKey()),
            ], 
            'status'            => trans('app.'.$affiliate->status),
            'created_at'        => format_date($affiliate->created_at),
            'updated_at'        => format_date($affiliate->updated_at),
        ];
    }
}